<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=yes">

    <!-- See https://goo.gl/OOhYW5 -->
    <link rel="manifest" href="./manifest.json">
    <meta name="theme-color" content="#2f2f2f">

    <title>VIRT Open Session</title>
    <meta name="description" content="Video Information Refinement Tool - Sessions">
    <link rel="icon" href="./images/node-blue.ico">

    <!-- OPTIONAL: Normalize is used to make things the same across browsers. Index is for your styles -->
    <link rel="stylesheet" href="./vendor/normalize.css/normalize.css">

    <!-- JQuery -->
    <script src="./vendor/jquery/dist/jquery.min.js"></script>

    <!-- Bootstrap -->
    <link rel="stylesheet" href="bootstrap/css/bootstrap.min.css">
    <script src="bootstrap/js/bootstrap.bundle.min.js"></script>

    <link rel="stylesheet" href="./css/main.css">
    <!--<link rel="stylesheet" href="./index.css">-->
</head>

<body>

    <!-- menu bar -->
    <nav class="navbar bg-dark navbar-dark navbar-expand-sm menu-bar">
        <div class="navbar-nav">
            
            <a class="nav-item nav-link" href="#">File</a>
            <a class="nav-item nav-link" href="#">Edit</a>
            <!-- <a class="nav-item nav-link" href="#">Return To Filter</a> -->
            <a class="nav-item nav-link" href="login.html">Log Out</a>

        </div>

        <span class="navbar-brand ml-auto">CANSOFCOM VIRT</span>
    </nav> <!-- menu bar -->

    <!-- loading modal -->
    <div class="modal" id="loading-modal">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content bg-dark text-center">
    
                <div class="modal-body">
                    <h5 class="modal-title">Loading Content</h5>
                    <br>
                    <div class="spinner-border text-light" role="status"></div>
                </div>
    
            </div>
        </div>
    </div> <!-- loading modal -->

    <div class="container-fluid">

        <div class="row align-items-stretch justify-content-center">

            <div class="col-6">

                <h1>Open Database</h1>

                <div class="my-3">
                    <button type="button" class="btn btn-secondary btn-lg">New Local</button>
                    <button type="button" class="btn btn-secondary btn-lg">New Remote</button>
                </div>

                <!-- saved sessions list -->
                <div class="list-group">

                    <a class="list-group-item list-group-item-dark list-group-item-action" href="#" onClick="loadDatabaseLoc()">
                        <h5>Sample Database</h5>
                        <span>/local/SampleData/</span>
                    </a>

                </div> <!-- saved sessions list -->

            </div> <!-- col -->

        </div> <!-- row -->

    </div> <!-- main container -->

    <!-- These MUST be in the right order. Note no leading / -->
    <!-- REQUIRED: Socket.IO is loaded only once for all instances, Without this, you don't get a websocket connection -->
    <script src="/uibuilder/socket.io/socket.io.js"></script>
    <!-- Note no leading / -->
    <!-- OPTIONAL: JQuery can be removed if not required (on some installations you have to remove `dist/` -->
    <script src="./vendor/jquery/dist/jquery.min.js"></script>
    <script src="bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- REQUIRED: Sets up Socket listeners and the msg object -->
    <script src="./uibuilderfe.min.js"></script>
    <!-- OPTIONAL: You probably want this. Put your custom code here -->
    <script src="./js/session-logic.js"></script>
    <!--<script src="./index.js"></script>-->
</body>

</html>